Package: org.codehaus.groovy.util

## [Java] Class LazyReference<T>

- org.codehaus.groovy.util.LazyReference

- Soft reference with lazy initialization under lock

- - ### Constructor Summary

    Constructors
    Constructor and description
    `LazyReference (ReferenceBundle bundle)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clear()`
    `` | `T` | `get()`
    `` | `T` | `initValue()`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class LockableObject` | `isHeldExclusively, lock, tryAcquire, tryRelease, unlock`

    `class AbstractQueuedSynchronizer`

    `toString, release, hasQueuedThreads, isQueued, getQueueLength, getQueuedThreads, hasWaiters, getWaitQueueLength, getWaitingThreads, acquire, acquireInterruptibly, tryAcquireNanos, getFirstQueuedThread, owns, acquireShared, acquireSharedInterruptibly, tryAcquireSharedNanos, releaseShared, hasContended, hasQueuedPredecessors, getExclusiveQueuedThreads, getSharedQueuedThreads, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public LazyReference(ReferenceBundle bundle)

  - ### Method Detail

    - #### public void clear()

    - #### public T get()

    - #### public T initValue()

    - #### public String toString()